flex-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From aha...@apache.org
Subject svn commit: r5635 [2/4] - in /dev/flex: falcon/0.0.2/rc2/ falcon/0.0.2/rc2/binaries/ flexjs/0.0.2/rc2/ flexjs/0.0.2/rc2/binaries/ installer/3.1/rc4/ installer/3.1/rc4/binaries/ sdk/4.13.0/ sdk/4.13.0/rc1/ sdk/4.13.0/rc1/binaries/ sdk/4.13.0/rc1/doc/
Date Mon, 23 Jun 2014 14:31:35 GMT
Added: dev/flex/flexjs/0.0.2/rc2/binaries/apache-flex-flexjs-installer-config.xml
==============================================================================
--- dev/flex/flexjs/0.0.2/rc2/binaries/apache-flex-flexjs-installer-config.xml (added)
+++ dev/flex/flexjs/0.0.2/rc2/binaries/apache-flex-flexjs-installer-config.xml Mon Jun 23 14:31:22 2014
@@ -0,0 +1,292 @@
+<?xml version="1.0"?>
+<!--
+
+  Licensed to the Apache Software Foundation (ASF) under one or more
+  contributor license agreements.  See the NOTICE file distributed with
+  this work for additional information regarding copyright ownership.
+  The ASF licenses this file to You under the Apache License, Version 2.0
+  (the "License"); you may not use this file except in compliance with
+  the License.  You may obtain a copy of the License at
+
+      http://www.apache.org/licenses/LICENSE-2.0
+
+  Unless required by applicable law or agreed to in writing, software
+  distributed under the License is distributed on an "AS IS" BASIS,
+  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+  See the License for the specific language governing permissions and
+  limitations under the License.
+
+-->
+
+<config>
+	<!--
+	<progressLabels>
+
+		<en_US>
+
+			<Copy>Copying %1 of %2</Copy>
+
+			<Get>Downloading bytes %1 of %2</Get>
+
+			<Checksum>Computing checksum: bytes %1 of %2</Checksum>
+		</en_US>
+	</progressLabels>
+
+	-->
+	<properties>
+
+	</properties>
+	<strings description="override default installer strings here">
+		<string id="INFO_CREATING_FLEX_HOME">
+			<el_GR>Δημιουργία αρχικού καταλόγου για το Apache FlexJS</el_GR>
+			<en_US>Creating Apache FlexJS home</en_US>
+			<zh_CN>正在创建 Apache FlexJS 主目录</zh_CN>
+			<zh_TW>正在創建 Apache FlexJS 主目錄</zh_TW>
+		</string>
+		<string id="INFO_DOWNLOADING_FLEX_SDK">
+			<el_GR>Γίνεται λήψη του Apache FlexJS από:</el_GR>
+			<en_US>Downloading Apache FlexJS from: </en_US>
+			<zh_CN>正在下载 Apache FlexJS: </zh_CN>
+			<zh_TW>正在下載 Apache FlexJS: </zh_TW>
+		</string>
+		<string id="INFO_ENTER_VALID_FLEX_SDK_PATH">
+			<el_GR>Παρακαλώ εισάγετε μια έγκυρη διαδρομή καταλόγου για το FlexJS</el_GR>
+			<en_US>Please enter valid directory path for the FlexJS SDK</en_US>
+			<zh_CN>请为 FlexJS SDK 输入有效的目录路径</zh_CN>
+			<zh_TW>請為 FlexJS SDK 輸入有效的目錄路徑</zh_TW>
+		</string>
+		<string id="INFO_SELECT_DIRECTORY">
+			<el_GR>Επιλέξτε τον κατάλογο στον οποίο θέλετε να εγκαταστήσετε το FlexJS</el_GR>
+			<en_US>Select the directory where you want to install the FlexJS files</en_US>
+			<zh_CN>请选择您想要安装 FlexJS 文件的目录</zh_CN>
+			<zh_TW>請選擇您想要安裝 FlexJS 檔案的目錄</zh_TW>
+		</string>
+		<string id="INFO_VERIFY_FLEX_SDK_DONE">
+			<el_GR>Η επαλήθευση των ληφθέντων αρχείων είναι επιτυχής.</el_GR>
+			<en_US>The Apache FlexJS MD5 Signature of the downloaded files matches the reference. The file is valid.</en_US>
+			<zh_CN>所下载文件的 MD5 签名和 Apache FlexJS 的官方签名一致, 此文件有效.</zh_CN>
+			<zh_TW>所下載檔案的 MD5 簽名和 Apache FlexJS 的官方簽名一致, 此檔案有效.</zh_TW>
+		</string>
+		<string id="SELECT_PATH_PROMPT">
+			<el_GR>Πληκτρολογήστε η επιλέξτε μια έγκυρη διαδρομή για το FlexJS SDK</el_GR>
+			<en_US>Where do you want to install the Apache FlexJS SDK?</en_US>
+			<zh_CN>您想在哪里安装 Apache FlexJS SDK?</zh_CN>
+			<zh_TW>您想在哪裡安裝 Apache FlexJS SDK?</zh_TW>
+		</string>
+		<string id="ERROR_VERIFY_FLEX_SDK">
+			<el_GR>Η επαλήθευση των ληφθέντων αρχείων απέτυχε. Η εγκατάσταση σταμάτησε.</el_GR>
+			<en_US>The Apache FlexJS MD5 Signature of the downloaded files does not match the reference value. The file is invalid, installation is aborted.</en_US>
+			<zh_CN>所下载文件的 MD5 签名和 Apache FlexJS 的官方签名不一致, 此文件无效, 安装中止.</zh_CN>
+			<zh_TW>所下載檔案的 MD5 簽名和 Apache FlexJS 的官方簽名不一致, 此檔案無效, 安裝中止.</zh_TW>
+		</string>
+		<string id="BTN_LABEL_OPEN_APACHE_FLEX_FOLDER">
+			<el_GR>ΑΝΟΙΓΜΑ ΦΑΚΕΛΟΥ APACHE FLEXJS</el_GR>
+			<en_US>OPEN APACHE FLEXJS FOLDER</en_US>
+			<zh_CN>打开 Apache FlexJS 目录</zh_CN>
+			<zh_TW>打開 Apache FlexJS 目錄</zh_TW>
+		</string>
+		<string id="STEP_REQUIRED_INSTALL_APACHE_FLEX_SDK">
+			<el_GR>Λήψη Apache FlexJS SDK</el_GR>
+			<en_US>Apache FlexJS SDK (Required)</en_US>
+			<zh_CN>Apache FlexJS SDK (必须的)</zh_CN>
+			<zh_TW>Apache FlexJS SDK (必須的)</zh_TW>
+		</string>
+		<string id="STEP_VERIFY_FLEX_SDK">
+			<el_GR>Γίνεται επαλήθευση του Apache Flex SDK MD5 Signature</el_GR>
+			<en_US>Verifying Apache FlexJS MD5 Signature</en_US>
+			<zh_CN>正在检查 Apache FlexJS 的 MD5 签名</zh_CN>
+			<zh_TW>正在檢查 Apache FlexJS 的 MD5 簽名</zh_TW>
+		</string>
+		<string id="STEP_UNZIP_FLEX_SDK">
+			<el_GR>Αποσυμπίεση του Apache Flex SDK</el_GR>
+			<en_US>Uncompress Apache FlexJS SDK</en_US>
+			<zh_CN>解压 Apache FlexJS SDK</zh_CN>
+			<zh_TW>解壓 Apache FlexJS SDK</zh_TW>
+		</string>
+	</strings>
+	<steps description="targets that should have a 'step' in the GUI progress indicator, in order of appearance.">
+		<step id="flex-get">
+			<el_GR>Λήψη Apache Flex SDK</el_GR>
+			<en_US>Apache Flex SDK (Required)</en_US>
+			<zh_CN>Apache Flex SDK (必须的)</zh_CN>
+			<zh_TW>Apache Flex SDK (必須的)</zh_TW>
+		</step>
+		<step id="get-flex">
+			<el_GR>Αποσυμπίεση του Apache Flex SDK</el_GR>
+			<en_US>Uncompress Apache Flex SDK</en_US>
+			<zh_CN>解压 Apache Flex SDK</zh_CN>
+			<zh_TW>解壓 Apache Flex SDK</zh_TW>
+		</step>
+		<step id="falcon-get">
+			<el_GR>Λήψη Apache Flex Falcon SDK</el_GR>
+			<en_US>Apache Flex Falcon SDK (Required)</en_US>
+			<zh_CN>Apache Flex Falcon SDK (必须的)</zh_CN>
+			<zh_TW>Apache Flex Falcon SDK (必須的)</zh_TW>
+		</step>
+		<step id="get-falcon">
+			<el_GR>Αποσυμπίεση του Apache Flex Falcon SDK</el_GR>
+			<en_US>Uncompress Apache Flex Falcon SDK</en_US>
+			<zh_CN>解压 Apache Flex Falcon SDK</zh_CN>
+			<zh_TW>解壓 Apache Flex Falcon SDK</zh_TW>
+		</step>
+		<step id="download">
+			<el_GR></el_GR>
+			<en_US>Download Falcon dependencies</en_US>
+			<zh_CN>下载 Falcon 所需组件</zh_CN>
+			<zh_TW>下載 Falcon 所需組件</zh_TW>
+		</step>
+		<step id="copyfiles">
+			<el_GR></el_GR>
+			<en_US>Copy Falcon SDK files</en_US>
+			<zh_CN>拷贝 Falcon SDK 文件</zh_CN>
+			<zh_TW>拷貝 Falcon SDK 檔案</zh_TW>
+		</step>
+		<step id="download.jx">
+			<en_US>Download FalconJX Dependencies</en_US>
+			<zh_CN>下载 FalconJX 所需组件</zh_CN>
+			<zh_TW>下載 FalconJX 所需組件</zh_TW>
+		</step>
+		<step id="copyfiles.jx">
+			<el_GR></el_GR>
+			<en_US>Copy FalconJX SDK files</en_US>
+			<zh_CN>拷贝 FalconJX SDK 文件</zh_CN>
+			<zh_TW>拷貝 FalconJX SDK 檔案</zh_TW>
+		</step>
+		<step id="air-download" property="do.air.install">
+			<el_GR>Αποσυμπίεση του Adobe AIR Runtime Kit</el_GR>
+			<en_US>Adobe AIR SDK (Required)</en_US>
+			<zh_CN>Adobe AIR SDK (必须的)</zh_CN>
+			<zh_TW>Adobe AIR SDK (必須的)</zh_TW>
+		</step>
+		<step id="flash-download" property="do.flash.install">
+			<el_GR>Λήψη Flash Player swc</el_GR>
+			<en_US>Adobe Flash Player playerglobal.swc (Required)</en_US>
+			<zh_CN>Adobe Flash Player playerglobal.swc (必须的)</zh_CN>
+			<zh_TW>Adobe Flash Player playerglobal.swc (必須的)</zh_TW>
+		</step>
+		<step id="swfobject-download" property="do.swfobject.install">
+			<el_GR>SWFObject (Απαιτούμενο)</el_GR>
+			<en_US>SWFObject (Required)</en_US>
+			<zh_CN>SWFObject (必须的)</zh_CN>
+			<zh_TW>SWFObject (必須的)</zh_TW>
+		</step>
+		<step id="fixup-config-files">
+			<el_GR>Εγκατάσταση των αρχείων ρυθμίσεων του Framework</el_GR>
+			<en_US>Install Framework Configuration Files</en_US>
+			<zh_CN>安装框架配置文件</zh_CN>
+			<zh_TW>安裝框架設定檔案</zh_TW>
+		</step>
+	</steps>
+	<component id="STEP_REQUIRED_INSTALL_APACHE_FLEXJS" required="true" property="do.flexjs.install">
+		<el_GR>
+			<label>Apache FlexJS (Απαιτούμενο)</label>
+			<message>Για το Apache FlexJS ισχύει η συμφωνία χρήσης του Apache License V2. Θέλετε να εγκαταστήσετε το Apache FlexJS;</message>
+		</el_GR>
+		<en_US>
+			<label>Apache FlexJS (Required)</label>
+			<message>The Apache License V2 applies to the Apache FlexJS.  Do you want to install the Apache FlexJS?</message>
+			<license>Apache V2 License</license>
+			<licenseURL>http://www.apache.org/licenses/LICENSE-2.0.html</licenseURL>
+		</en_US>
+		<zh_CN>
+			<label>Apache FlexJS (必须的)</label>
+			<message>Apache V2 许可协议适用于 Apache FlexJS. 您想要安装 Apache FlexJS 吗?</message>
+			<license>Apache V2 许可协议</license>
+		</zh_CN>
+		<zh_TW>
+			<label>Apache FlexJS (必須的)</label>
+			<message>Apache V2 授權合約適用於 Apache FlexJS. 您想要安裝 Apache FlexJS 嗎?</message>
+			<license>Apache V2 授權合約</license>
+		</zh_TW>
+	</component>
+	<component id="STEP_REQUIRED_INSTALL_GOOGLE_CLOSURE_LIBRARY" required="true" property="do.goog.install">
+		<el_GR>
+			<label>Google Closure Library (Απαιτούμενο)</label>
+			<message>Για το Google Closure Library ισχύει η συμφωνία χρήσης του Apache License V2. Θέλετε να εγκαταστήσετε το Google Closure Library;</message>
+		</el_GR>
+		<en_US>
+			<label>Google Closure Library (Required)</label>
+			<message>The Apache License V2 applies to the Google Closure Library.  Do you want to install the Google Closure Library?</message>
+			<license>Apache V2 License</license>
+			<licenseURL>http://www.apache.org/licenses/LICENSE-2.0.html</licenseURL>
+		</en_US>
+		<zh_CN>
+			<label>Google Closure Library (必须的)</label>
+			<message>Apache V2 许可协议适用于 Google Closure Library. 您想要安装 Google Closure Library 吗?</message>
+			<license>Apache V2 许可协议</license>
+		</zh_CN>
+		<zh_TW>
+			<label>Google Closure Library (必須的)</label>
+			<message>Apache V2 授權合約適用於 Google Closure Library. 您想要安裝 Google Closure Library 嗎?</message>
+			<license>Apache V2 授權合約</license>
+		</zh_TW>
+	</component>
+	<component id="STEP_REQUIRED_INSTALL_ADOBE_AIR_SDK" required="true" property="do.air.install">
+		<el_GR>
+			<label>Adobe AIR SDK (Απαιτούμενο)</label>
+			<message>Για το Adobe AIR SDK ισχύει η συμφωνία χρήσης του Adobe SDK License. Θέλετε να εγκαταστήσετε το Adobe AIR SDK;</message>
+			<license>'Αδεια χρήσης Adobe AIR SDK</license>
+		</el_GR>
+		<en_US>
+			<label>Adobe AIR SDK (Required)</label>
+			<message>The Adobe SDK license agreement applies to the Adobe AIR SDK.  Do you want to install the Adobe AIR SDK?</message>
+			<license>Adobe AIR SDK License</license>
+			<licenseURL>http://www.adobe.com/products/air/sdk-eula.html</licenseURL>
+		</en_US>
+		<zh_CN>
+			<label>Adobe AIR SDK (必须的)</label>
+			<message>Adobe SDK 许可协议适用于 Adobe AIR SDK. 您想要安装 Adobe AIR SDK 吗?</message>
+			<license>Adobe AIR SDK 许可协议</license>
+		</zh_CN>
+		<zh_TW>
+			<label>Adobe AIR SDK (必須的)</label>
+			<message>Adobe SDK 授權合約適用於 Adobe AIR SDK. 您想要安裝 Adobe AIR SDK 嗎?</message>
+			<license>Adobe AIR SDK 授權合約</license>
+		</zh_TW>
+	</component>
+	<component id="STEP_REQUIRED_INSTALL_FLASH_PLAYER_GLOBAL_SWC" required="true" property="do.flash.install">
+		<el_GR>
+			<label>Adobe Flash Player playerglobal.swc (Απαιτούμενο)</label>
+			<message>Για το Adobe Flash Player playerglobal.swc ισχύει η συμφωνία χρήσης του Adobe SDK License. Θέλετε να εγκαταστήσετε το Adobe Flash Player playerglobal.swc;</message>
+			<license>'Αδεια χρήσης Adobe Flex SDK</license>
+		</el_GR>
+		<en_US>
+			<label>Adobe Flash Player playerglobal.swc (Required)</label>
+			<message>The Adobe SDK license agreement applies to the Adobe Flash Player playerglobal.swc.  Do you want to install the Adobe Flash Player playerglobal.swc?</message>
+			<license>Adobe Flex SDK License</license>
+			<licenseURL>http://www.adobe.com/products/eulas/pdfs/adobe_flex_software_development_kit-combined-20110916_0930.pdf</licenseURL>
+		</en_US>
+		<zh_CN>
+			<label>Adobe Flash Player playerglobal.swc (必须的)</label>
+			<message>Adobe SDK 许可协议适用于 Adobe Flash Player 的 playerglobal.swc 文件. 您想要安装 Adobe Flash Player 的 playerglobal.swc 文件吗?</message>
+			<license>Adobe Flex SDK 许可协议</license>
+		</zh_CN>
+		<zh_TW>
+			<label>Adobe Flash Player playerglobal.swc (必須的)</label>
+			<message>Adobe SDK 授權合約適用於 Adobe Flash Player 的 playerglobal.swc 檔案. 您想要安裝 Adobe Flash Player 的 playerglobal.swc 檔案嗎?</message>
+			<license>Adobe Flex SDK 授權合約</license>
+		</zh_TW>
+	</component>
+	<component id="SWFObject (Required)" required="true" property="do.swfobject.install">
+		<el_GR>
+			<label>SWFObject (Απαιτούμενο)</label>
+			<message>Για το SWFObject ισχύει η συμφωνία χρήσης του MIT License (MIT). Θέλετε να εγκαταστήσετε το SWFObject;</message>
+		</el_GR>
+		<en_US>
+			<label>SWFObject (Required)</label>
+			<message>The MIT License (MIT) applies to the SWFObject utility.  Do you want to install the SWFObject utility?</message>
+			<license>MIT License</license>
+			<licenseURL>http://opensource.org/licenses/mit-license.php</licenseURL>
+		</en_US>
+		<zh_CN>
+			<label>SWFObject (必须的)</label>
+			<message>MIT 许可协议适用于 SWFObject 实用程序. 您想要安装 SWFObject 实用程序吗?</message>
+			<license>MIT 许可协议</license>
+		</zh_CN>
+		<zh_TW>
+			<label>SWFObject (必須的)</label>
+			<message>MIT 授權合約適用於 SWFObject 實用程式. 您想要安裝 SWFObject 實用程式嗎?</message>
+			<license>MIT 授權合約</license>
+		</zh_TW>
+	</component>
+</config>
\ No newline at end of file

Propchange: dev/flex/flexjs/0.0.2/rc2/binaries/apache-flex-flexjs-installer-config.xml
------------------------------------------------------------------------------
    svn:eol-style = native

Added: dev/flex/installer/3.1/rc4/READme
==============================================================================
--- dev/flex/installer/3.1/rc4/READme (added)
+++ dev/flex/installer/3.1/rc4/READme Mon Jun 23 14:31:22 2014
@@ -0,0 +1,153 @@
+<!--
+
+Licensed to the Apache Software Foundation (ASF) under one or more
+contributor license agreements.  See the NOTICE file distributed with
+this work for additional information regarding copyright ownership.
+The ASF licenses this file to You under the Apache License, Version 2.0
+(the "License"); you may not use this file except in compliance with
+the License.  You may obtain a copy of the License at
+
+http://www.apache.org/licenses/LICENSE-2.0
+
+Unless required by applicable law or agreed to in writing, software
+distributed under the License is distributed on an "AS IS" BASIS,
+WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+See the License for the specific language governing permissions and
+limitations under the License.
+
+-->
+
+==========================================================================================
+Overview:
+=========
+
+- The Apache Flex SDK Installer AIR application provides an easy installation of the 
+  Apache Flex SDK and all its dependencies.  This will make it suitable for working with 
+  IDEs such as Adobe Flash Builder, FDT, IntelliJ IDEA, FlashDevelop, etc.  
+  The application downloads the following dependencies:
+    - The AIR sdk (Windows vs. Mac) based on the current platform
+    - Adobe Flash Player playerglobal.swc
+    - SwfObject
+    - Open Source Media Framework (OSMF)
+	 
+  Optionally, the application will download these files if the user explicitly agrees to 
+  the licensing terms:
+    - Adobe BlazeDS
+    - Adobe embedded font support
+ 
+- The Apache Flex SDK Installer 3.0 and later supports the ability to install 
+  virtually anything that can be installed via an Apache Ant script.  The list 
+  of choices to install are described in 
+  installer/src/installer/sdk-installer-config-4.0.xml and posted to
+  http://flex.apache.org/installer/sdk-installer-config-4.0.xml.  By default, the
+  installer looks there to determine the list of choices.  Once a selection is made,
+  the installer then looks in the folder of the install package for a -config.xml file
+  and if found, uses that to determine the set of licensing options that need to be
+  accepted before installing.  The installer then uncompresses the install package and
+  looks for installer.xml and runs that script via an approximation of Apache Ant that
+  has been written in ActionScript.  If the -config.xml file is not found, the Installer
+  assumes it is installing an older version of the Apache Flex SDK.
+
+- When installing an older version of the Apache Flex SDK, the installer
+  determines the file names and urls of the downloaded files from 
+  installer/src/installer/sdk-installer-config-4.0.xml. When the dependencies file 
+  names or urls change in future, update the sdk-installer-config-4.0.xml to ensure 
+  that the application works correctly.  For newer installs driven by Apache Ant
+  scripts, the file names and urls are determined by the script itself.
+    
+- The application uses http://flex.apache.org/single-mirror-url.cgi to determine
+  the preferred mirror url to use to download the binary package.  Newer installs
+  that use Apache Ant scripts use their own logic to select dependencies from mirrors.
+  
+- Once the binary package is downloaded, a MD5 hash is generated for it.  
+  This hash is compared with the hash from the Apache Flex SDK release site.  
+  If they match, we verify that the downloaded binary package is a valid Apache release and 
+  proceed to unzip the file.  
+	
+- If required, the Adobe AIR SDK will be downloaded and the relevant files are copied 
+  to the required locations.
+  
+- If required, the Adobe Flash Player playerglobal.swc file and the config files 
+  are placed in the required locations.
+  
+- Then the rest of the external dependencies and the optional files (if selected by user) 
+  are downloaded and copied into the appropriate locations.  
+
+- If you experience problems with the install, please try again, but right-click
+  and select "Verbose Logging" to add more information to the log. 
+
+- From the 2.6 version, you can select the version of Adobe Flash Player and Adobe AIR SDK
+  the installer downloads.
+
+- From the 2.5 version, by default, Apache Flex SDK Installer 2.5 downloads Adobe Flash 
+  Player 11.1 and Adobe AIR SDK 3.4. 
+  If you want to change it to any other supported combination, you save a copy of the 
+  config file found at: http://flex.apache.org/installer/sdk-installer-config-3.0.xml, 
+  modify the download urls to point to the required versions.  Then run the app from 
+  command line mode with the optional command line parameter: -config=<path to config file>
+
+- If building the app for Linux, open InstallApacheFlex-app.xml and change the Adobe AIR 
+  namespace from http://ns.adobe.com/air/application/4.0 to 
+  http://ns.adobe.com/air/application/2.6  This is because AIR 2.6 is the latest available 
+  version on Linux.  
+	
+==========================================================================================
+How to build the installer using ANT (no Flash Builder or any other IDE required):
+==========================================================================================
+
+0.  Make sure you have the right version of the Adobe AIR SDK.  Apache Flex Installer
+    3.1 uses Adobe AIR SDK 4.0.  If you want to use an older version of the AIR SDK,
+    you will have to change the namespace in the following files:
+	installer/src/InstallApacheFlex-app.xml
+	ant_on_air/tests/AntOnAIR-app.xml.
+
+1.  Unzip the source distribution.  You should see the 'installer' directory and the 
+    'common' and 'ant_on_air' directories in the root.
+
+2.  In the ant_on_air directory, run:
+        ant [-DFLEX_HOME=/path/to/apache/flex/sdk] [-DAIR_HOME=/path/to/air/sdk]
+            
+    FLEX_HOME is the absolute path to the Apache Flex SDK
+        If you omit this argument, and the system environment variable, FLEX_HOME exists,
+        it is used.  Otherwise, the FLEX_HOME_MAC or FLEX_HOME_WIN property in 
+        installer/build.properties is used.
+        
+    AIR_HOME is the absolute path to the Adobe AIR SDK
+        If you omit this argument, and the system environment variable, AIR_HOME exists,
+        it is used.  Otherwise, the AIR_HOME_MAC or AIR_HOME_WIN property in 
+        installer/build.properties is used.
+          	
+3.  In the installer directory, run:
+        ant build [-DFLEX_HOME=/path/to/apache/flex/sdk] [-DAIR_HOME=/path/to/air/sdk]
+        
+4.  The installer executable file created in the installer/release directory.  If you are 
+    on Windows, you will see an .exe file; if you are on Mac OS, you will see a .dmg file.  
+	A temporary digital signing certificate - temp.p12 will be created in the installer 
+	directory as well.  The password for this file is available in the build.properties 
+	file (var: TEMP_PASS_CHANGE_THIS)
+
+==========================================================================================
+How to set up the project for working with Adobe Flash Builder (or any other IDE):
+==========================================================================================
+
+1.  Unzip the source distribution.  You should see the 'installer' directory and the 
+    'common' and 'ant_on_air' directories in the root.
+
+2.  In the installer directory run: 
+        ant get-as3commons.swc
+    This step downloads the required as3commons library and saves it in the libs 
+    directory.
+
+3.  If using Adobe Flash Builder, add a linked resource called: 
+        APACHE_FLEX_UTILITIES_ROOT 
+    and point it to the directory path where the 'installer' and 'common' directories are 
+    located.
+
+4.  In the installer project, add ${APACHE_FLEX_UTILITIES_ROOT}/common/src as a source path.
+
+5.  In the installer project, add ${APACHE_FLEX_UTILITIES_ROOT}/ant_on_air/src as a source path.
+
+6.  In the installer project, add ${APACHE_FLEX_UTILITIES_ROOT}/ant_on_air/external as a source path.
+
+7.  In the installer project, add ${APACHE_FLEX_UTILITIES_ROOT}/ant_on_air/locale/{locale} as a source path.
+

Propchange: dev/flex/installer/3.1/rc4/READme
------------------------------------------------------------------------------
    svn:eol-style = native

Added: dev/flex/installer/3.1/rc4/apache-flex-sdk-installer-3.1.0-src.tar.gz
==============================================================================
Binary file - no diff available.

Propchange: dev/flex/installer/3.1/rc4/apache-flex-sdk-installer-3.1.0-src.tar.gz
------------------------------------------------------------------------------
    svn:mime-type = application/x-gzip

Added: dev/flex/installer/3.1/rc4/apache-flex-sdk-installer-3.1.0-src.tar.gz.asc
==============================================================================
--- dev/flex/installer/3.1/rc4/apache-flex-sdk-installer-3.1.0-src.tar.gz.asc (added)
+++ dev/flex/installer/3.1/rc4/apache-flex-sdk-installer-3.1.0-src.tar.gz.asc Mon Jun 23 14:31:22 2014
@@ -0,0 +1,18 @@
+-----BEGIN PGP SIGNATURE-----
+Version: GnuPG/MacGPG2 v2.0.18 (Darwin)
+Comment: GPGTools - http://gpgtools.org
+
+iQIcBAABAgAGBQJTpJY4AAoJEIPgQxzanM/yHR0P/093QBBG5vdLN3KNWSo9c8Ao
+Mrd7pOxoiokXZvzum1CdjGN/MacBWdFn9bHH7v2Jhy5P64/haU+jgBa3vBJId5cG
+cp2/tCeU/2nzd/dxwZ17mqiqqv579AygxsIag2kf7RzVZPPs+l5n0KNP+LNglrfp
+CNoqhGBz0eH93ObFELj71G8dbzVYqq0UYh21llKLDuvZfXWF2h3UeDWZ4ombM046
+w2V4HqtN1rcSXOCX0RtBlOj+/Lf122QC8SwkheI/kOiAlMiDorOnJ06aGxbKyELp
+ZGDaomYoJpH3ceZaUE4/P2nHDztiy8AIBRfv+MiaE15TMkWNN3VM98f2zMjv/yuY
+nNXSujnW7InnWe/QrR9CyaPUteIwpebP3PAoBB8dbiQF3+jJfFM5aXjowibMcU1G
+6AFPYErotxnxW1PMSSgK6vkkY2EgA2+GDllXPpJN6JkPKuXxlwfxaSpXIDi6Gfel
+ALBfGGHVm83U1r59MEK1W8V9XbtuFE9hYJkMrqtX+WNqZUDn3WqruOrDTrt/i8QW
+siveY6gNbMJWvPB4VOqEr1YhICtIKg6I9VoXo0GvSsORQrTBT4YRmUMNzMjtvU2n
+KbMmNOKVqLSN1S0DP/x/OH8256sryXKIh/U5lvNBJrWdMdj4LYdqln+RWaBgdtUo
+M54RRbl8lNU/pnNhftuU
+=2O7P
+-----END PGP SIGNATURE-----

Added: dev/flex/installer/3.1/rc4/apache-flex-sdk-installer-3.1.0-src.tar.gz.md5
==============================================================================
--- dev/flex/installer/3.1/rc4/apache-flex-sdk-installer-3.1.0-src.tar.gz.md5 (added)
+++ dev/flex/installer/3.1/rc4/apache-flex-sdk-installer-3.1.0-src.tar.gz.md5 Mon Jun 23 14:31:22 2014
@@ -0,0 +1 @@
+91379744f9cd44fd5d8f5791e5e2c445

Added: dev/flex/installer/3.1/rc4/apache-flex-sdk-installer-3.1.0-src.zip
==============================================================================
Binary file - no diff available.

Propchange: dev/flex/installer/3.1/rc4/apache-flex-sdk-installer-3.1.0-src.zip
------------------------------------------------------------------------------
    svn:mime-type = application/octet-stream

Added: dev/flex/installer/3.1/rc4/apache-flex-sdk-installer-3.1.0-src.zip.asc
==============================================================================
--- dev/flex/installer/3.1/rc4/apache-flex-sdk-installer-3.1.0-src.zip.asc (added)
+++ dev/flex/installer/3.1/rc4/apache-flex-sdk-installer-3.1.0-src.zip.asc Mon Jun 23 14:31:22 2014
@@ -0,0 +1,18 @@
+-----BEGIN PGP SIGNATURE-----
+Version: GnuPG/MacGPG2 v2.0.18 (Darwin)
+Comment: GPGTools - http://gpgtools.org
+
+iQIcBAABAgAGBQJTpJY2AAoJEIPgQxzanM/ynS4QALuWFaer1g6Ek7Z/p6T/SOmx
+EsE+JcQmXsrRmPNyAm2Zw39pjqAI/IwX13dg4pJlxr/1FGmcdqAO2VdDzMo5+9Vz
+wKd013lPCQM2FnJxvotquaxDTp4fGNYLpqgdklSN8ieQydAfBhH5xuTq4ujDYjIW
+sIlN7iNakCRWes8iGH5lHy1ZmQEn9bZfylU/W0hWlO/DBC/Fw5KULingJLtPXxeS
+zqEjUDzdSfXA3U9piupMhAbNyBCXIaItcsp65uIx6780Ls082VrKtFog3Su4Q3TU
+2U7hF+AqNuXKWDWL/lFD9xoQQryzyptPMTX/h/1GjxNIHLpU1zFMZRDovqfkIt63
+hPyFmmuXj8jxaTyhz8owyhCMjxhz8q+3UJT0OBXGRT7g+DoTFBaLcA+TMXhcpafB
+Kkfe9kFA4NsNIpeas1OkwEFsB2r2cl+mq/UOzjss79hdMHBKUMeoz2G9WmeFNFxa
+vZaQzadwhj67Z/TkwYgqRJz1HI3CzFCMSSn76sXJZeSkJ668MO+K4gdqXLOWBkM8
+L0vRGAk/QzlFGb4sHVlWmqsrvE+krhWisSW/Wn/RZVFTtTOP8kVlr0HukjLNUySF
+ETwVGYdc9XMpIQ/8vKHtHgx0KWH1Vw6K2VxyUw/K/BxT2m6/tF1CnIMJP6zg0WXi
+Nug0yx35R0nEyrUV75HL
+=QUzP
+-----END PGP SIGNATURE-----

Added: dev/flex/installer/3.1/rc4/apache-flex-sdk-installer-3.1.0-src.zip.md5
==============================================================================
--- dev/flex/installer/3.1/rc4/apache-flex-sdk-installer-3.1.0-src.zip.md5 (added)
+++ dev/flex/installer/3.1/rc4/apache-flex-sdk-installer-3.1.0-src.zip.md5 Mon Jun 23 14:31:22 2014
@@ -0,0 +1 @@
+c8508e382bcb6a04a9f5e455b686585c

Added: dev/flex/installer/3.1/rc4/binaries/apache-flex-sdk-installer-3.1.0-bin.dmg
==============================================================================
Binary file - no diff available.

Propchange: dev/flex/installer/3.1/rc4/binaries/apache-flex-sdk-installer-3.1.0-bin.dmg
------------------------------------------------------------------------------
    svn:mime-type = application/octet-stream

Added: dev/flex/installer/3.1/rc4/binaries/apache-flex-sdk-installer-3.1.0-bin.dmg.asc
==============================================================================
--- dev/flex/installer/3.1/rc4/binaries/apache-flex-sdk-installer-3.1.0-bin.dmg.asc (added)
+++ dev/flex/installer/3.1/rc4/binaries/apache-flex-sdk-installer-3.1.0-bin.dmg.asc Mon Jun 23 14:31:22 2014
@@ -0,0 +1,18 @@
+-----BEGIN PGP SIGNATURE-----
+Version: GnuPG/MacGPG2 v2.0.18 (Darwin)
+Comment: GPGTools - http://gpgtools.org
+
+iQIcBAABAgAGBQJTpJY5AAoJEIPgQxzanM/yNEQP/2NUWV+b7bELE6LjGdvkfVNn
+SA+wqQBShJLf8rM1x+Dy9nMxRxpOtJ3F08xBnNITJlc7UYeTp2q5A99IuMVWcyuB
+Dsk2meJWiUy3J/0nqhWVnO8vhEFQTdJVLq00/X+c/TXXwDyk4q2tpI//Lp6dkJ5u
+P51tYh5t8tDN/qei4jw2lnzx9oCrnsoHvS3TG6nnQcbYa+Ai5zmn4fjQu9G94g6E
+IwFPdcTdLSjmk1TQRA+unbpnkwiDR8IB4CwJbQzKEUdJ3Ak6912bj1y2XywY7Vg0
+18Q/lilH3FqB+bwtil5ks02YKQJ/VszbhzyL3xRfj/47ErFjycZWDJHGS2PzLrYe
+G2Foo1K9xSfkUw6CxcudSwlSPpJYCAsvwWPWBzwASVemEeL+J/vAPY86fIqdgIrO
+Y3OfQ+XTTai0bSqH2WKd31pHSy8Nv2dH30W5TYkVr1TkyLUtbW7BZ540HGbPrL+O
+vSOiTjzvuXdJYwEoLvjdOPIJxbCEIIyuvN1DC5MPEnmpWEpQGJPvLKgNXXfSfiWi
+t8fv7XjgJ0pnM0WJUZwZfwXEqeh0Rhc/4gEhUXJ7jVYfsVAlE4Qh9rxrvCEafwkI
+mxrz4bgLal2w0LZxk9Wj6Dt9WjSn54GZ1s/mQK3UvNbt/440Hvq5MgD1ZhgCX+kN
+ANVH5XzNMjJag/hfW5i1
+=KmqG
+-----END PGP SIGNATURE-----

Added: dev/flex/installer/3.1/rc4/binaries/apache-flex-sdk-installer-3.1.0-bin.dmg.md5
==============================================================================
--- dev/flex/installer/3.1/rc4/binaries/apache-flex-sdk-installer-3.1.0-bin.dmg.md5 (added)
+++ dev/flex/installer/3.1/rc4/binaries/apache-flex-sdk-installer-3.1.0-bin.dmg.md5 Mon Jun 23 14:31:22 2014
@@ -0,0 +1 @@
+24073bf8a3bc8ee246fc6b6299deabb1

Added: dev/flex/installer/3.1/rc4/binaries/apache-flex-sdk-installer-3.1.0-bin.exe
==============================================================================
Binary file - no diff available.

Propchange: dev/flex/installer/3.1/rc4/binaries/apache-flex-sdk-installer-3.1.0-bin.exe
------------------------------------------------------------------------------
    svn:executable = *

Propchange: dev/flex/installer/3.1/rc4/binaries/apache-flex-sdk-installer-3.1.0-bin.exe
------------------------------------------------------------------------------
    svn:mime-type = application/octet-stream

Added: dev/flex/installer/3.1/rc4/binaries/apache-flex-sdk-installer-3.1.0-bin.exe.asc
==============================================================================
--- dev/flex/installer/3.1/rc4/binaries/apache-flex-sdk-installer-3.1.0-bin.exe.asc (added)
+++ dev/flex/installer/3.1/rc4/binaries/apache-flex-sdk-installer-3.1.0-bin.exe.asc Mon Jun 23 14:31:22 2014
@@ -0,0 +1,18 @@
+-----BEGIN PGP SIGNATURE-----
+Version: GnuPG/MacGPG2 v2.0.18 (Darwin)
+Comment: GPGTools - http://gpgtools.org
+
+iQIcBAABAgAGBQJTpMFuAAoJEIPgQxzanM/ykx8P/ivBXBNdubwhGqQqSRnpnGaR
+TtylK9urNkUYbrrnlDmWQ9w2F7Xtx9vSz3xAgvXH2ETicGKpLoW9Il9naFq3jbCk
+KrpcvkJYBaPv68TIa+yVeh2rbOddqIyzS7qtwn3VJgI+Y+yl+ohYmkQ+BXD+VC/g
+SgbKgNY+1DHR+rJ/paZn2jpsLCSQN57g0sQK0aaepvXSCX3ubpaIne0dyt7jgNwU
+rmX7wMci2vhjz+z/TJMfiHdQF1sUGbMgON4HVG/X0qykzkCsQHjyhuqx92/mvtya
+EGbnT0IJmmn138iFc0IZhB46w9aEGv9YCCR2cZQ8aGzUJGaXk3vN5gESZy6jY6/S
+w+KyfHkbt3qaz2AgZ0ld0lb0xxR8gP3d3M2+feN5KPiH3gxIhhgeQ/x/EC/S2SHL
+JnXVGyUofM3ws0ZRofIu/Mk72wSzQnVDPhZ6umCuEQEu2IQuUTOyQepXkMJFDXaJ
+Y9FLi/LMMb+vAmKGa8KAmdN9/eaugAsldp3xuy9dJucfk5CYSgd6+8MBKbifQwBe
+myoJtgvIuXy5Ag59kH9ZPVYZW/JZkPaS5+9fK7E3tOexnM6DyuY5IKuwfWMAfWvG
+DU7+U+pRYdGD6mhQQ2VHK1md+aI/tATeaG/E08LvJPK7bp6ls6yO83Flq7h/yQqG
+A5fIFVutXN7LtKF8YuPZ
+=FkMI
+-----END PGP SIGNATURE-----

Added: dev/flex/installer/3.1/rc4/binaries/apache-flex-sdk-installer-3.1.0-bin.exe.md5
==============================================================================
--- dev/flex/installer/3.1/rc4/binaries/apache-flex-sdk-installer-3.1.0-bin.exe.md5 (added)
+++ dev/flex/installer/3.1/rc4/binaries/apache-flex-sdk-installer-3.1.0-bin.exe.md5 Mon Jun 23 14:31:22 2014
@@ -0,0 +1 @@
+35ae6e7e0c5eb94ebc5a734ea6bf32cd

Propchange: dev/flex/installer/3.1/rc4/binaries/apache-flex-sdk-installer-3.1.0-bin.exe.md5
------------------------------------------------------------------------------
    svn:executable = *

Added: dev/flex/sdk/4.13.0/rc1/READme
==============================================================================
--- dev/flex/sdk/4.13.0/rc1/READme (added)
+++ dev/flex/sdk/4.13.0/rc1/READme Mon Jun 23 14:31:22 2014
@@ -0,0 +1,598 @@
+Apache Flex (Flex)
+==================
+
+    Apache Flex SDK is an application development framework for easily building
+    Flash-based applications for mobile devices, web browsers, and desktops.
+
+    Apache Flex 4.13.0 is a follow up release to Apache Flex 4.12.1. This version
+    adds new features and implements bug fixes that were unavailable in previous
+    versions.  It is compatible with most code written to target Adobe Flex 4.6.
+
+    For detailed information about Apache Flex please visit
+    http://flex.apache.org/
+
+    Apache Flex is a large project with many pieces.  The framework is
+    implemented in ActionScript and the compiler is implemented in Java.
+
+    Currently supported platforms include:
+
+        Microsoft Windows
+        Mac OS X
+        Apple iOS
+        Google Android
+        RIM BlackBerry
+        Linux
+
+    Apache Flex is the software evolution of the popular Adobe Flex SDK project.
+
+    The community surrounding Flex is vast, diverse, distributed globally, and
+    with all levels of proficiency in software development.
+
+    There has been more that 30,000 installs of Apache Flex. The Apache Flex web
+    site gets 3 quarters of a million page views a year and more than 250,000
+    unique visitors a year.
+
+
+Getting the convenience packages for Apache Flex
+================================================
+
+    The Apache Flex SDK Installer is an application that simplifies the download
+    and installation of the Apache Flex SDK and its (required) components. It is
+    aimed at anyone who wants to use the latest release of the Apache Flex SDK,
+    but who might not necessarily be familiar with the tools and procedures
+    required to compile the Apache Flex SDK from source code. The application
+    will grab the binary distribution of the SDK from apache.org or one of its
+    mirrors, install it onto your computer and prepare it for use with your
+    favorite IDE such as Adobe Flash Builder or JetBrains IntelliJ IDEA.
+
+    You can get the SDK Installer from the Apache Flex website at
+
+      http://flex.apache.org/installer.html
+
+    The SDK installer requires the Adobe AIR runtime to be installed.
+
+    Starting with Apache Flex 4.12 the binary distribution can be installed
+    using only ANT in addition to the AIR installer mentioned above. This is
+    the recommended method for Linux users.  More information about installing
+    the binary installtion with ANT can be found on our wiki at :
+
+      https://cwiki.apache.org/confluence/display/FLEX/Installation+help#Installationhelp-Antinstaller
+
+Getting the latest sources via git
+==================================
+
+    Getting the source code is the recommended way to get Apache Flex.  We also
+    offer an automated installer along with binary distributions on our website
+    at http://flex.apache.org/.
+
+    You can always checkout the latest source via git using the following
+    command:
+
+	 git clone https://git-wip-us.apache.org/repos/asf/flex-sdk.git sdk
+	 cd sdk
+	 git checkout develop
+
+    An Apache Flex SDK also requires source code from other Apache Flex git
+    repositories.  To get the latest source via git for the Text Layout
+    Framework use the following command:
+
+	 git clone https://git-wip-us.apache.org/repos/asf/flex-tlf.git tlf
+	 cd tlf
+	 git checkout develop
+
+    In an Apache Flex source code package hosted on the distribution server or
+    one of its mirrors, the Text Layout Framework code is already included in
+    the package.  This is also true for the convenience package.
+
+    Linux support is currently experimental and you may run into issues. Apache
+    Flex would like to see a fully supported Linux release, but we need support
+    from the community in order to do that. Please help out if you can.
+
+    For further information visit http://flex.apache.org/download-source.html
+
+Building Apache Flex 4.13.0
+=========================
+
+    Apache Flex is a large project. It requires some build tools which must be
+    installed prior to building Flex and it depends on some external software
+    which are downloaded as part of the build process.  Some of these have
+    different licenses.  See the Software Dependencies section for more
+    information on the external software dependencies.
+
+    From Apache's perspective, the Adobe Flash Player and Adobe AIR have
+    excluded licenses so they can not be bundled with the Apache Flex binaries.
+    They must be installed prior to building Apache Flex.
+
+    Linux support is currently experimental and while it is possible to compile
+    the SDK it has not been fully tested so you may run into issues.
+
+Install Prerequisites
+---------------------
+
+    Before building Flex you must install the following software and set the
+    corresponding environment variables using absolute file paths.  Relative
+    file paths will result in build errors.
+
+    The environment variables PLAYERGLOBAL_HOME, AIR_HOME, FLASHPLAYER_DEBUGGER,
+    TLF_HOME, and ADOBE_EXTENSION_MANAGER can also be set in the property file
+    called env.properties. See the env-template.properties file for
+    instructions.
+
+    The Adobe Flash Player playerglobal.swc is needed to compile all the
+    components
+    with the exception of the airframework and airspark components which require
+    airglobal.swc from the AIR Integration Kit.  The AIR Integration kit is also
+    needed to build and debug mobile applications.  The Adobe Flash Player
+    content debugger is used by checkintests and other pieces of the test
+    subsystem to run compiled applications.
+
+    The build scripts assume that the source code folder containing the Text
+    Layout Framework (tlf) folder is at the same level as the sdk folder or
+    located inside the frameworks/projects folder.   If this is not true, then
+    you must set the TLF_HOME environment variable to point to the tlf folder.
+
+    ==================================================================================
+    SOFTWARE                                    ENVIRONMENT VARIABLE (absolute paths)
+    ==================================================================================
+
+    Java SDK 1.6 or greater (*1)                JAVA_HOME
+        (for Java 1.7 see note at (*2))
+
+    Ant 1.7.1 or greater (*1)                   ANT_HOME
+        (for Java 1.7 see note at (*2))
+
+    Adobe AIR Integration Kit (*3)              AIR_HOME
+
+    Adobe Flash Player Content Debugger (*4)    FLASHPLAYER_DEBUGGER
+
+    Adobe Flash Player playerglobal swcs (*5)   PLAYERGLOBAL_HOME
+
+    Adobe Extension Manager CS5 (*6)            ADOBE_EXTENSION_MANAGER
+
+    Text Layout Framework                       TLF_HOME
+
+    ==================================================================================
+
+    *1) The bin directories for ANT_HOME and JAVA_HOME should be added to your
+        PATH.
+
+        On Windows, set PATH to
+
+            PATH=%PATH%;%ANT_HOME%\bin;%JAVA_HOME%\bin
+
+        On the Mac (bash), set PATH to
+
+            export PATH="$PATH:$ANT_HOME/bin:$JAVA_HOME/bin"
+
+         On Linux make sure you path include ANT_HOME and JAVA_HOME.
+
+    *2)  If you are using Java SDK 1.7 or greater on a Mac you must use Ant 1.8
+         or greater. If you use Java 1.7 with Ant 1.7, ant reports the java
+         version as 1.6 so the JVM args for the data model (-d32/-d64) will not
+         be set correctly and you will get compile errors.
+
+    *3) The Adobe AIR integration kit for Windows can be downloaded from:
+           http://airdownload.adobe.com/air/win/download/13.0/AdobeAIRSDK.zip
+
+         The Adobe AIR integration kit for Mac can be downloaded from:
+            http://airdownload.adobe.com/air/mac/download/13.0/AdobeAIRSDK.tbz2
+
+          The Adobe AIR integration kit for Linux can be downloaded from:
+            http://airdownload.adobe.com/air/lin/download/2.6/AdobeAIRSDK.tbz2
+
+        This version of Apache Flex was certified for use with AIR 14.0, and
+        should be compatible with other versions of AIR newer than 3.1. However
+        it hasn't been fully tested on AIR 3.2, 3.3, 3.5, 3.6 or 3.7.
+
+        Download the AIR SDK for your platform and unzip it. Set AIR_HOME to the
+        absolute path of the AIR SDK directory.
+
+    *4) The Adobe Flash Player content debuggers can be found here:
+            http://www.adobe.com/support/flashplayer/downloads.html
+
+        This version of Apache Flex was certified for use with Adobe Flash
+        Player 11.1, and is compatible with versions 10.2 through 14.0. It has
+        been tested with versions 11.1, 11.7, 11.8, 11.9 and 12.0 on Windows
+        and Mac. It has been compiled against other Adobe Flash Player versions
+        but has not been fully tested. It has not been fully tested on Linux.
+
+        On Windows, set FLASHPLAYER_DEBUGGER to the absolute path including the
+        filename of the FlashPlayerDebugger.exe. Note the filename of flash
+        player debugger maybe different.
+           e.g. C:\MyPath\FlashPlayerDebugger.exe
+
+        On the Mac, set FLASHPLAYER_DEBUGGER to the absolute path of
+        Flash Player Debugger.app/Contents/MacOS/Flash Player Debugger
+
+        On Linux, set FLASHPLAYER_DEBUGGER to the absolute path of
+        flashplayerdebugger
+
+    *5) The Adobe Flash Player playerglobal.swc for 11.1 can be downloaded from:
+            http://download.macromedia.com/get/flashplayer/updaters/11/playerglobal11_1.swc
+
+        Use URL above to download playerglobal11_1.swc. Create the directory,
+        player/11.1 and copy playerglobal11_1.swc to
+        player/11.1/playerglobal.swc.
+
+        Set PLAYERGLOBAL_HOME to the absolute path of the player directory (not
+        including the version subdirectory). The target-player option controls
+        which PLAYERGLOBAL_HOME subdirectory is used.
+
+        Other more recent versions of Adobe Flash Player playerglobal.swc can be
+        downloaded from:
+            http://download.macromedia.com/get/flashplayer/updaters/11/playerglobal11_2.swc
+            http://download.macromedia.com/get/flashplayer/updaters/11/playerglobal11_3.swc
+            http://download.macromedia.com/get/flashplayer/updaters/11/playerglobal11_4.swc
+            http://download.macromedia.com/get/flashplayer/updaters/11/playerglobal11_5.swc
+            http://download.macromedia.com/get/flashplayer/updaters/11/playerglobal11_6.swc
+            http://download.macromedia.com/get/flashplayer/updaters/11/playerglobal11_7.swc
+            http://download.macromedia.com/get/flashplayer/updaters/11/playerglobal11_8.swc
+            http://download.macromedia.com/get/flashplayer/updaters/11/playerglobal11_9.swc
+            http://download.macromedia.com/get/flashplayer/updaters/12/playerglobal12_0.swc
+            http://download.macromedia.com/get/flashplayer/updaters/13/playerglobal13_0.swc
+            http://download.macromedia.com/get/flashplayer/updaters/14/playerglobal14_0.swc
+
+        These can be used with Apache Flex but not all have not been fully
+        tested.
+
+    *6) The Adobe Extension Manager is only required for those creating releases
+        or testing changes to the flash-integration swc.  Note that if you
+        change APIs on classes that flash-integration depends on, you may need
+        to update flash-integration.
+
+        The Adobe Extension Manager for Windows can be downloaded from:
+            http://download.macromedia.com/pub/dw_exchange/extension_manager/win/AdobeExtensionManager5All.zip
+
+         The Adobe Extension Manager for Mac can be downloaded from:
+            http://download.macromedia.com/pub/dw_exchange/extension_manager/mac/AdobeExtensionManager5All.dmg
+
+        On Windows, set ADOBE_EXTENSION_MANAGER to the absolute path of "Adobe
+        Extension Manager CS5.exe"
+
+        On Mac, set ADOBE_EXTENSION_MANAGER to the absolute path of "Adobe
+        Extension Manager CS5.app"
+
+        On Linux, no Adobe Extension Manager exists and there's nothing that
+        needs to be done here.
+
+FlashPlayer Configuration
+-------------------------
+
+    For testing, the Adobe Flash Player's mm.cfg file must have the following
+    entries
+
+        ErrorReportingEnable=1
+        TraceOutputFileEnable=1
+
+    and a FlashPlayerTrust file must allow local SWFs to access local files.
+
+Other Locale Support
+--------------------
+
+    The Apache Flex SDK defaults to using the en_US locale and SDK error
+    messages are by default displayed in American English.
+
+    To compile the SDK for another locale either:
+
+    Change the locale in the build.properties file to have a value other than
+    "en_US".  For this new locale to take effect the SDK needs to be recompiled.
+    For example, to use the Australian English locale change locale to have a
+    value of "en_AU"
+    like so:
+
+        locale = en_AU
+
+    OR
+
+    Compile the SDK with a -Dlocale=<locale> option, where <locale> is the new
+    locale to compile the SDK against.
+
+    To compile all supported locales, which may take some time, use
+
+        ant other.locales
+
+    The list of supported locales currently include:
+        da_DK	el_GR	en_GB	fi_FI	it_IT	nb_NO	pt_PT	zh_CN
+        de_CH	en_AU	en_US	fr_CH	ja_JP	nl_NL	ru_RU	zh_TW
+        de_DE	en_CA	es_ES	fr_FR	ko_KR	pt_BR	sv_SE
+
+    The Apache Flex SDK has only been tested for the en_US locale, however there
+    is unlikely to be any issues with a SDK compiled for another locales.
+
+Adobe Flash Player Version Support
+----------------------------------
+
+    The Apache Flex SDK defaults to using the Adobe Flash Player 11.1. The SDK
+    can be used with Flash Player versions 10.2, 10.3, 11.0, 11.1, 11.2, 11.3,
+    11.4, 11.5, 11.6, 11.7, 11.8, 11.9, 12.0, 13.0 and 14.0.
+
+    It is recommended that you update to the latest version of Adobe Flash
+    Player.  Newer versions of the Adobe Flash player address security
+    vulnerabilities, fix bugs/issues, increase stability, and implement new
+    features.
+
+    To use the SDK for another version of the Adobe Flash Player either:
+
+    Change the flex-config.xml configuration file to specify another version of
+    the Adobe Flash Player.
+
+    OR
+
+    Change the playerglobal.version in the build.properties file to have a value
+    other than "11.1". For this change to take effect the SDK needs to be
+    recompiled.  For example to compile against the latest version of the Adobe
+    Flash Player set the value of playerglobal.version to be "14.0" like so:
+
+        playerglobal.version = 14.0
+
+    OR
+
+    Compile the SDK with a -Dplayerglobal.version=<version> option, where
+    <version> is the Adobe Flash Player version to compile the SDK against.
+
+
+    Different versions of the Adobe Flash Player require different versions of
+    playerglobal.swc.
+
+    These can be found at:
+
+    http://download.macromedia.com/get/flashplayer/installers/archive/playerglobal/playerglobal10_2.swc
+    http://download.macromedia.com/get/flashplayer/installers/archive/playerglobal/playerglobal10_3.swc
+    http://download.macromedia.com/get/flashplayer/updaters/11/playerglobal11_0.swc
+    http://download.macromedia.com/get/flashplayer/updaters/11/playerglobal11_1.swc
+    http://download.macromedia.com/get/flashplayer/updaters/11/playerglobal11_2.swc
+    http://download.macromedia.com/get/flashplayer/updaters/11/playerglobal11_3.swc
+    http://download.macromedia.com/get/flashplayer/updaters/11/playerglobal11_4.swc
+    http://download.macromedia.com/get/flashplayer/updaters/11/playerglobal11_5.swc
+    http://download.macromedia.com/get/flashplayer/updaters/11/playerglobal11_6.swc
+    http://download.macromedia.com/get/flashplayer/updaters/11/playerglobal11_7.swc
+    http://download.macromedia.com/get/flashplayer/updaters/11/playerglobal11_8.swc
+    http://download.macromedia.com/get/flashplayer/updaters/11/playerglobal11_9.swc
+    http://download.macromedia.com/get/flashplayer/updaters/12/playerglobal12_0.swc
+    http://download.macromedia.com/get/flashplayer/updaters/13/playerglobal13_0.swc
+    http://download.macromedia.com/get/flashplayer/updaters/14/playerglobal14_0.swc
+
+    Copy the target playerglobal.swc to the directory:
+
+        frameworks/libs/player/<version>/playerglobal.swc
+
+    Where <version> is the major and minor version numbers of the Adobe Flash
+    Player separated by a period or full stop.
+
+    If all of the playerglobal swcs where installed the frameworks/libs/player
+    directory structure would look like this.
+
+        /frameworks
+            /libs
+                /player
+                    /10.2
+                         /playerglobal.swc
+                    /10.3
+                         /playerglobal.swc
+                    /11.0
+                         /playerglobal.swc
+                    /11.2
+                         /playerglobal.swc
+                    /11.2
+                         /playerglobal.swc
+                    /11.3
+                         /playerglobal.swc
+                    /11.4
+                         /playerglobal.swc
+                    /11.5
+                         /playerglobal.swc
+                    /11.6
+                         /playerglobal.swc
+                    /11.7
+                         /playerglobal.swc
+                    /11.8
+                         /playerglobal.swc
+                    /11.9
+                         /playerglobal.swc
+                    /12.0
+                         /playerglobal.swc
+                    /13.0
+                         /playerglobal.swc
+                    /14.0
+                         /playerglobal.swc
+
+    Apache Flex has been tested with Adobe Flash Player 11.1, 11.5, 11.7, 11.8,
+    11.9, 12.0, 13.0 and 14.0 on Windows and Mac.
+
+    Apache Flex has not been tested on Linux so some issue may exist in this
+    release.
+
+    It compiles against other Adobe Flash Player versions and is expected to
+    work but their may be some issues, particularly with the earlier 10.2 and
+    10.3 versions of the Adobe Flash Player.
+
+Software Dependencies
+---------------------
+
+    Apache Flex uses third-party code that will be downloaded as part of the
+    Apache Flex build.  In addition, there is some optional third-party code
+    that you can choose to download if you would like to take advantage of the
+    features offered and you agree to the license terms.
+
+    The Apache Version 2.0 license is in the LICENSE file.
+
+    The following dependencies have licenses which are, or are compatible with,
+    the Apache Version 2.0 license.  You will not be prompted to acknowledge the
+    download.  Most of the jars are installed in lib/external.
+
+        batik - http://archive.apache.org/dist/xmlgraphics/batik/batik-1.6.zip
+        commons-collections - http://archive.apache.org/dist/commons/collections/binaries/commons-collections-3.0.tar.gz
+        commons-discovery - http://archive.apache.org/dist/commons/discovery/binaries/commons-discovery-0.2.tar.gz
+        commons-logging - http://archive.apache.org/dist/commons/logging/binaries/commons-logging-1.0.4.tar.gz
+        javacc - http://java.net/projects/javacc/downloads/download/javacc-5.0.tar.gz
+        saxon9 - http://sourceforge.net/projects/saxon/files/Saxon-B/9.1.0.8/saxonb9-1-0-8j.zip/download
+        velocity - http://archive.apache.org/dist/velocity/engine/1.4/velocity-1.4.tar.gz
+        xalan - http://archive.apache.org/dist/xml/xalan-j/binaries/xalan-j_2_6_0-bin.tar.gz
+        xerces - http://archive.apache.org/dist/xerces/j/Xerces-J-bin.2.9.1.zip
+
+    The following dependencies have licenses which Apache considers to be
+    reciprocal licenses so you will be prompted to acknowledge the license
+    before the software is downloaded to your system. These files are installed
+    in frameworks/libs.
+
+        osmf.swc
+
+        Open Source Media Framework v1.0 used for video components
+
+        This file is extracted from:
+        http://sourceforge.net/projects/osmf.adobe/files/OSMF%201.0%20%28final%20source%2C%20ASDocs%2C%20PDF%20guides%2C%20and%20release%20notes%29/OSMF_1.0.zip/download
+
+        This software is released under the Mozilla Public License Version 1.1:
+        <http://www.mozilla.org/MPL/>
+
+    The following dependencies have licenses which Apache considers to be not
+    compatible with the Apache License Version 2.0. You will be prompted to read
+    and agree to the license terms of the dependency before the software can be 
+    downloaded to your system.
+    These are optional components which enable additional features.  They are
+    installed in libs/external/optional.
+
+    flex-messaging-common.jar
+        Provides integration with Adobe BlazeDS.
+
+        This files are extracted from:
+        http://fpdownload.adobe.com/pub/flex/sdk/builds/flex4.6/flex_sdk_4.6.0.23201B.zip
+
+        This software is released under an Adobe license:
+        <http://www.adobe.com/products/eulas/pdfs/adobe_flex_software_development_kit-combined-20110916_0930.pdf>
+
+    flex-fontkit.jar
+    afe.jar, adt.jar
+    aglj40.jar
+    rideau.jar
+        Adobe proprietary software which provides embedded font support.
+
+        These jars are extracted from:
+        http://fpdownload.adobe.com/pub/flex/sdk/builds/flex4.6/flex_sdk_4.6.0.23201B.zip
+
+        This software is released under an Adobe license:
+        <http://www.adobe.com/products/eulas/pdfs/adobe_flex_software_development_kit-combined-20110916_0930.pdf>
+
+Using the Binary Distribution
+-----------------------------
+
+    You must download the third-party dependencies.
+
+    When you have all the prerequisites in place and the environment variables
+    set, (see Install Prerequisites above -- you cannot use the env.properties
+    file to set the environment variables for these steps.), use
+
+        cd <flex.dir>/frameworks
+        ant thirdparty-downloads
+
+    Additionally, you will need to build the RSLS for the SDK before you run the
+    batch files.
+
+        cd <flex.dir>
+        ant frameworks-rsls
+
+    To use this SDK in a IDE like Flash Builder 4.6 or 4.7 the SDK needs
+    several other files to be packaged and integrated with the Apache Flex SDK.
+
+	If you have an existing installation of Flash Builder run:
+
+		/ide/constructFlexForIDE.sh (on Mac and Linux)
+		/ide/constructFlexForIDE.bat (on Windows)
+
+	This will create an Apache Flex 4.13.0 SDK that can be used with Flash
+        Builder by copying the required files from the Adobe Flex 4.6 SDK.
+
+	To create an SDK for other IDE or if you want to use Adobe AIR 14.0
+        (rather than AIR 3.1 contained in Adobe Flex 4.6) run:
+
+		/ide/flashbuilder/makeApacheFlexForIDE.sh (on Mac and Linux)
+		/ide/flashbuilder/makeApacheFlexForIDE.bat (on Windows)
+
+	This will create an Apache Flex 4.13.0 SDK that can be used by an IDE by
+    downloading Adobe Flex 4.6 SDK and Adobe AIR 14.0.
+
+Building the Framework in a Binary Distribution
+-----------------------------------------------
+
+    The source for most of the framework is included in the binary distribution.
+    It can be useful if you wish to debug and/or extend components.
+
+    When you have all the prerequisites in place and the environment variables
+    set, (see Install Prerequisites above), use
+
+        cd <flex.dir>/frameworks
+        ant main        (or just ant since the default target is main)
+
+    to download the third-party dependencies and build the Flex framework.  You 
+    may be prompted to acknowledge some of the downloads.  Since the third-party
+    dependencies take a little while to download and they don't change very
+    often, they are not cleaned with the regular clean target.
+
+    To clean the build, of everything other than the downloaded third-party
+    dependencies use
+
+        ant clean
+
+    To clean the build, of everything, including the downloaded third-party
+    dependencies use
+
+        ant super-clean (which is just thirdparty-clean followed by clean)
+
+Building the Source in the Source Distribution
+----------------------------------------------
+
+    The source for both the Flex compiler and the Flex framework is included in
+    the source distribution.  The compiler is in the modules directory and the
+    framework is in the frameworks directory.
+
+	Because the sdk uses the Text Layout Framework, you will have to clone
+        it too and link it to the textLayout project of the sdk:
+
+	cd <flex.dir>/..
+	git clone https://git-wip-us.apache.org/repos/asf/flex-tlf.git tlf
+
+    When you have all the prerequisites in place and the environment variables
+    set (see Install Prerequisites above), use
+
+        cd <flex.dir>
+        ant main        (or just ant since the default target is main)
+
+    to download the thirdparty dependencies and build the source.  You may be
+    prompted to acknowledge and/or confirm some of the downloads.  Since the
+    third-party dependencies take a little while to download and they don't
+    change very often, they are not cleaned with the regular clean target.
+
+    If you would like to build the RSLs, use
+
+        ant frameworks-rsls
+
+    To clean the build, of everything other than the downloaded third-party
+    dependencies use
+
+        ant clean
+
+    To clean the build, of everything, including the downloaded third-party
+    dependencies use
+
+        ant super-clean (which is just thirdparty-clean followed by clean)
+
+    To generate a source distribution package and a binary distribution package
+    use
+
+        ant -Dbuild.number=<YYYYMMDD> -Dbuild.noprompt= release
+
+    The packages can be found in the "out" subdirectory.
+
+    To build the ASDoc package
+
+        ant asdoc-package
+
+    To get a brief listing of all the targets type
+
+        ant -projecthelp
+
+
+Thanks for using Apache Flex.  Enjoy!
+
+                                          The Apache Flex Project
+                                          <http://flex.apache.org>

Propchange: dev/flex/sdk/4.13.0/rc1/READme
------------------------------------------------------------------------------
    svn:eol-style = native



Mime
View raw message